Bug 55550 - New Printing subsystem breaks samba default printer configuration
New Printing subsystem breaks samba default printer configuration
Product: Red Hat Linux
Classification: Retired
Component: printconf (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2001-11-01 16:08 EST by Need Real Name
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-16 12:36:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
smb daemon log (1.89 KB, text/plain)
2001-11-01 16:09 EST, Need Real Name
no flags Details
smb machine log (102.29 KB, text/plain)
2001-11-01 16:10 EST, Need Real Name
no flags Details
smb daemon debug log (8.29 KB, text/plain)
2001-11-01 16:11 EST, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2001-11-01 16:08:37 EST
Description of Problem: The new printer configuration does not work with a
simple default samba configuration

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:
1. Configure a printer with printconf-gui
2. Configure samba with default samba config of loading printers from printcap.
3. Attempt to print from windows machine

Actual Results:
Windows machine is given access denied error Even though samba shares are
accessible and printer share is viewable

Expected Results:
Samba is able to get printer information from printcap and connect to print

Additional Information:
I have reproduced this problems on 2 separate machines and also discovered
that you can work around the problem by hand editing the printcap to print
using raw print mode. Samba logs attached.
Comment 1 Need Real Name 2001-11-01 16:09:36 EST
Created attachment 36081 [details]
smb daemon log
Comment 2 Need Real Name 2001-11-01 16:10:36 EST
Created attachment 36082 [details]
smb machine log
Comment 3 Need Real Name 2001-11-01 16:11:26 EST
Created attachment 36083 [details]
smb daemon debug log
Comment 4 Tim Waugh 2002-01-25 09:00:48 EST
Do the packages at <ftp://people.redhat.com/twaugh/errata-candidate/> help?
Comment 5 Tim Waugh 2005-09-16 12:36:54 EDT
No feedback.

Note You need to log in before you can comment on or make changes to this bug.